> ## Documentation Index
> Fetch the complete documentation index at: https://lightdash-mintlify-9d6f9427.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Provider config

> Get SCIM service provider configuration



## OpenAPI

````yaml https://raw.githubusercontent.com/lightdash/lightdash/refs/heads/main/packages/backend/src/generated/swagger.json get /api/v1/scim/v2/ServiceProviderConfig
openapi: 3.0.0
info:
  title: Lightdash API
  version: 0.3249.0
  description: >
    Open API documentation for all public Lightdash API endpoints. #
    Authentication Before you get started, you might need to create a Personal
    Access Token to authenticate via the API. You can create a token by
    following this guide: https://docs.lightdash.com/references/personal_tokens
  license:
    name: MIT
  contact:
    name: Lightdash Support
    email: support@lightdash.com
    url: https://docs.lightdash.com/help-and-contact/contact/contact_info/
servers:
  - url: /
security: []
tags:
  - name: My Account
    description: These routes allow users to manage their own user account.
  - name: Organizations
    description: >-
      Each user is a member of a single organization. These routes allow users
      to manage their organization. Most actions are only available to admin
      users.
  - name: Projects
    description: >-
      Projects belong to a single organization. These routes allow users to
      manage their projects, browse content, and execute queries. Users inside
      an organization might have access to a project from an organization-level
      role or they might be granted access to a project directly.
  - name: Spaces
    description: >-
      Spaces allow you to organize charts and dashboards within a project. They
      also allow granular access to content by allowing you to create private
      spaces, which are only accessible to the creator and admins.
  - name: Roles & Permissions
    description: >-
      These routes allow users to manage roles and permissions for their
      organization.
    externalDocs:
      url: https://docs.lightdash.com/references/roles
  - name: Query
    description: >-
      These routes allow users to execute and manage queries against their data
      warehouse. This includes metric queries, SQL queries, and retrieving query
      results.
paths:
  /api/v1/scim/v2/ServiceProviderConfig:
    get:
      tags:
        - SCIM
      summary: Provider config
      description: Get SCIM service provider configuration
      operationId: GetScimServiceProviderConfig
      parameters: []
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ScimServiceProviderConfig'
      security: []
components:
  schemas:
    ScimServiceProviderConfig:
      properties:
        schemas:
          items:
            $ref: '#/components/schemas/ScimSchemaType.SERVICE_PROVIDER_CONFIG'
          type: array
        documentationUri:
          type: string
        patch:
          properties:
            supported:
              type: boolean
          required:
            - supported
          type: object
        bulk:
          properties:
            maxPayloadSize:
              type: number
              format: double
            maxOperations:
              type: number
              format: double
            supported:
              type: boolean
          required:
            - supported
          type: object
        filter:
          properties:
            maxResults:
              type: number
              format: double
            supported:
              type: boolean
          required:
            - supported
          type: object
        changePassword:
          properties:
            supported:
              type: boolean
          required:
            - supported
          type: object
        sort:
          properties:
            supported:
              type: boolean
          required:
            - supported
          type: object
        etag:
          properties:
            supported:
              type: boolean
          required:
            - supported
          type: object
        authenticationSchemes:
          items:
            properties:
              primary:
                type: boolean
              documentationUri:
                type: string
              specUri:
                type: string
              description:
                type: string
              name:
                type: string
              type:
                type: string
            required:
              - description
              - name
              - type
            type: object
          type: array
      required:
        - schemas
        - patch
        - bulk
        - filter
        - changePassword
        - sort
        - etag
        - authenticationSchemes
      type: object
      additionalProperties: true
    ScimSchemaType.SERVICE_PROVIDER_CONFIG:
      enum:
        - urn:ietf:params:scim:schemas:core:2.0:ServiceProviderConfig
      type: string

````